<script lang="ts">
import Vue from 'vue';
import { toKebabCaseMixin } from '../../mixins';

export default Vue.extend({
  name: 'SolutionsPlatformLinkGroup',
  mixins: [toKebabCaseMixin],
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <div :id="data.id" class="link-group slp-mt-32">
    <SlpContainer>
      <div class="gradient-header" />
      <SlpTypography
        variant="heading4-bold header-anchor"
        tag="h4"
        class="slp-mt-24"
        >{{ data.header
        }}<a class="header-anchor" :href="`#${data.id}`" aria-hidden="true">
          <SlpIcon
            class="slp-ml-16"
            name="anchor"
            variant="marketing"
            slp-color="text-link-100"
            alt="Anchor Icon"
          /> </a
      ></SlpTypography>
      <SlpTypography
        variant="body1"
        tag="p"
        class="slp-my-24 link-group__description"
        >{{ data.description }}</SlpTypography
      >
      <SlpRow class="slp-mb-32">
        <div
          v-for="(card, index) in data.cards"
          :key="index"
          :cols="3"
          class="link-group__link slp-mt-16"
        >
          <SlpButton
            variant="tertiary"
            :href="card.fields?.cardLink"
            :data-ga-name="card.fields?.cardLinkDataGaName"
            :data-ga-location="card.fields?.cardLinkDataGaLocation"
          >
            {{ card.fields.title }}
          </SlpButton>
          <SlpIcon name="arrow-right" variant="product" size="medium" />
        </div>
      </SlpRow>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.link-group {
  margin-left: $spacing-48;

  .slp-container {
    @media (max-width: $breakpoint-md) {
      padding-left: 0;
      padding-right: 0;

      .link-group__description {
        max-width: 100%;
      }

      .slp-row {
        display: block;
      }
    }
  }

  @media (max-width: $breakpoint-md) {
    margin-left: 0;
  }
  .slp-row {
    display: grid;
    grid-template-columns: repeat(auto-fill, 300px);
    justify-content: space-between;
  }
  .gradient-header {
    background: linear-gradient(90deg, #ffc8c6 0%, #b3bded 100%);
    height: 4px;
    width: 95px;
    border-radius: 10px;
    margin-bottom: $spacing-16;
  }

  &__description {
    max-width: 70%;
  }

  .header-anchor {
    display: flex;
  }

  &__link {
    border: 1px solid $color-surface-300;
    transition: all 0.3s ease-in-out;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    border-radius: 4px;
    padding-right: 16px;
    height: 70px;

    a {
      color: $color-text-300;
      padding-left: 16px;
      font-size: 14px;
      font-weight: 600;
      line-height: 18px;
      text-align: left;
    }
    .slp-icon {
      padding-top: 5px;
    }

    .slp-btn-tertiary {
      text-decoration: none;
    }

    &:hover {
      cursor: pointer;
      background: $color-surface-800;
    }
  }
}
</style>
